#ifndef REGIONCREATION_H
#define REGIONCREATION_H

#include <QtGui/QMainWindow>
#include "ui_regioncreation.h"

class RegionCreation : public QMainWindow
{
    Q_OBJECT

public:
    RegionCreation(QWidget *parent = 0, Qt::WFlags flags = 0);
    ~RegionCreation();

private slots:
    void on_actionSelect_triggered();
    void on_actionLine_triggered();
    void on_actionDelete_triggered();
    void on_actionIntersect_triggered();
    void on_actionCreateRegion_triggered();
    void on_actionFit_triggered();
    void on_actionZoomIn_triggered();
    void on_actionZoomOut_triggered();
    void on_actionPanLeft_triggered();
    void on_actionPanRight_triggered();
    void on_actionPanDown_triggered();
    void on_actionPanUp_triggered();

private:
    Ui::RegionCreationClass ui;
};

#endif // REGIONCREATION_H
